xclade
Admin APIStores

Get a Store

Retrieve a store by its ID. You can expand the store's relations or select the fields that should be returned.

GET
/admin/stores/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The store's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/stores/string"
{
  "store": {
    "id": "string",
    "name": "string",
    "supported_currencies": [
      {
        "id": "string",
        "currency_code": "usd",
        "store_id": "string",
        "is_default": true,
        "currency": {
          "code": "usd",
          "symbol": "$",
          "symbol_native": "$",
          "name": "string",
          "decimal_digits": 0,
          "rounding": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "deleted_at": "2019-08-24T14:15:22Z"
        },
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "deleted_at": "2019-08-24T14:15:22Z"
      }
    ],
    "default_sales_channel_id": "string",
    "default_region_id": "string",
    "default_location_id": "string",
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}